%define upstream_name    Device-SerialPort
%define upstream_version 1.04

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	POSIX clone of Win32::SerialPort
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Test::More)
BuildRequires:	perl-devel


%description
This module provides an object-based user interface essentially identical
to the one provided by the Win32::SerialPort module.

Initialization
    The primary constructor is *new* with either a _PortName_, or a
    _Configuretion File_ specified. With a _PortName_, this will open the
    port and create the object. The port is not yet ready for read/write
    access. First, the desired _parameter settings_ must be established.
    Since these are tuning constants for an underlying hardware driver in
    the Operating System, they are all checked for validity by the methods
    that set them. The *write_settings* method updates the port (and will
    return True under POSIX). Ports are opened for binary transfers. A
    separate 'binmode' is not needed.

      $PortObj = new Device::SerialPort ($PortName, $quiet, $lockfile)
           || die "Can't open $PortName: $!\n";

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes META.yml
%{_mandir}/man3/*
%{_mandir}/man1/*
%perl_vendorlib/*
/usr/bin/modemtest


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-5.mga3
+ Revision: 365899
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.40.0-4.mga3
+ Revision: 250550
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.40.0-3.mga2
+ Revision: 105391
- fix files
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.40.0-2.mga1
+ Revision: 30147
- mageia rebuild
- imported package perl-Device-SerialPort

